<html>
    <body>
        {{if .Success}}
            <center>
                <h1>Vulnerability added to the Vulnerability Report.</h1>
                <br>
                <h2>{{.Message}}</h2>
            </center>
        {{else if .Error}}
            <center>
                <h1>An Error has Occured.</h1>
                <br>
                <h2>{{.Message}}</h2>
            </center>
        {{else}}
            <center>
                <h1>Submit a Vulnerability</h1>
                <form method="POST">
                    <label>Name:</label><br />
                    <input type="text" name="name"><br/>

                    <label>Description:</label><br />
                    <textarea name="description"></textarea><br/>

                    <input type="submit">
                </form>
            </center>
        {{end}}
    </body>
</html>